CMeansInitializerSizedPlugin Class Reference

`#include <mia/core/cmeans.hh>`

Inheritance diagram for CMeansInitializerSizedPlugin:
[legend]
Collaboration diagram for CMeansInitializerSizedPlugin:
[legend]

## Public Member Functions

| CMeansInitializerSizedPlugin (const char *name)
Public Member Functions inherited from TFactory< CMeans::Initializer >
virtual Product * | create (const CParsedOptions &options, char const *params) __attribute__((warn_unused_result))
| TFactory (char const *const name)
Public Member Functions inherited from TPlugin< D, T >
virtual void | get_help (std::ostream &os) const
const std::string | get_long_name () const
| TPlugin (const char *name)
Public Member Functions inherited from CPluginBase
void | add_dependend_handlers (HandlerHelpMap &handler_map)
void | add_property (const char *property)
void | append_interface (CPluginBase *plugin)
| CPluginBase (const char *name)
PPluginModule | get_module () const
unsigned | get_priority () const
bool | has_property (const char *property) const
CPluginBase * | next_interface ()
void | set_module (const PPluginModule &module)
void | set_priority (unsigned p)
virtual | ~CPluginBase ()
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Protected Member Functions

size_t | get_size_param () const
Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Additional Inherited Members

Public Types inherited from TFactory< CMeans::Initializer >
typedef CMeans::Initializer | Product
| typedef to describe the product of the factory
typedef std::shared_ptr< CMeans::Initializer > | SharedProduct
| typedef for the shared version of the product
typedef std::unique_ptr< CMeans::Initializer > | UniqueProduct
| typedef for the unique version of the product
Public Types inherited from TPlugin< D, T >
typedef D | PlugData
| Typedef for the data type descriptor handled by this plug-in.
typedef T | PlugType
| Typedef for the plugin type descriptor handled by this plug-in.
Static Public Member Functions inherited from TPlugin< D, T >
static const char * | get_data_path_part ()
static const char * | get_type_path_part ()

## Detailed Description

Definition at line 280 of file cmeans.hh.

## Constructor & Destructor Documentation

## CMeansInitializerSizedPlugin()

CMeansInitializerSizedPlugin::CMeansInitializerSizedPlugin | ( | const char * | name | ) |

## Member Function Documentation

## get_size_param()

size_t CMeansInitializerSizedPlugin::get_size_param | ( |  | ) | const

protected

The documentation for this class was generated from the following file:

- cmeans.hh